summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/fcitx/fcitx.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/misc/fcitx/fcitx.SlackBuild b/misc/fcitx/fcitx.SlackBuild
index 244cb8c652..365ec8035d 100644
--- a/misc/fcitx/fcitx.SlackBuild
+++ b/misc/fcitx/fcitx.SlackBuild
@@ -56,12 +56,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/etc/profile.d
cat $CWD/fcitx.sh > $PKG/etc/profile.d/fcitx.sh